#!/usr/local/bin/itkwish3.0
# the next line restarts using wish \
#exec wish "$0" "$@"

# browse --
# This script generates a directory browser, which lists the working
# directory and allows you to open files or subdirectories by
# double-clicking.
#
# @(#) browse 1.5 95/05/26 16:20:51
if {$tcl_platform(os) == "Linux"} {
cd ~
set rootdirectory [pwd]
cd $rootdirectory/drug_programs
} else {
set rootdirectory c:/progra~1/tcl/bin
cd $rootdirectory/drug_programs
source comm.tcl
}
# Create a scrollbar on the right side of the main window and a listbox
# on the left side.
option readfile tkoptions
source balloonhelp.tcl
global nameentry
set nameentry ".topframe.topleftframe.topleftleftframe.nameentry"
cd $rootdirectory/drug_refills
entry .entry -textvariable namefragment
balloonhelp .entry "Enter part of the \n name here and\n press return\n to search."
button .refresh -text Refresh   -bg orange -fg brown -command {.list delete 0 end;refresh}
balloonhelp .refresh "Press this to refresh \nthe files in the listbox."
pack .refresh -ipady 0
pack .entry -side top -fill x -expand true
scrollbar .scroll -command ".list yview"
pack .scroll -side right -fill y
listbox .list -yscroll ".scroll set" -relief sunken -width 20 -height 20 \
	-setgrid yes 
pack .list -side left -fill both -expand yes
balloonhelp .list "Double left mouse button to 
load Patient's files in the 
drugrefill, demographics and 
progress note generator. Single 
right button click on selected 
name brings up menu for deleting 
patient's files or renaming 
patient's files."

wm minsize . 1 1
wm geometry . +0+8

#This procedure is to delete all the files associated with the patient's name.

proc deleteName { nametobedeleted } {

global rootdirectory tcl_platform
if {$tcl_platform(os) == "Linux"} {
exec rm -f $rootdirectory/allergies/$nametobedeleted &
exec rm -f $rootdirectory/demographics/$nametobedeleted &
exec rm -f $rootdirectory/drug_refills/$nametobedeleted &
exec rm -f $rootdirectory/problem_list/$nametobedeleted &
exec rm -f $rootdirectory/progress_notes/$nametobedeleted.htm &
} else {
exec command.com /c del $rootdirectory/allergies/$nametobedeleted
exec command.com /c del $rootdirectory/demographics/$nametobedeleted
exec command.com /c del $rootdirectory/drug_refills/$nametobedeleted
exec command.com /c del $rootdirectory/problem_list/$nametobedeleted
exec command.com /c del $rootdirectory/progress_notes/$nametobedeleted.htm
}

.list delete 0 end;refresh

}

# This procedure is used to move a patient's files to new files under a different name. Used
# when you accidently enter the wrong spelling for the patient and you want to change all his 
# files to the correct spelling.

proc mergeName { oldname newname } {

global rootdirectory tcl_platform
if {$tcl_platform(os) == "Linux"} {
exec mv $rootdirectory/allergies/$oldname $rootdirectory/allergies/$newname &
exec mv $rootdirectory/demographics/$oldname $rootdirectory/demographics/$newname &
exec mv $rootdirectory/drug_refills/$oldname $rootdirectory/drug_refills/$newname &
exec mv $rootdirectory/problem_list/$oldname $rootdirectory/problem_list/$newname &
exec mv $rootdirectory/progress_notes/$oldname.htm $rootdirectory/progress_notes/$newname.htm &
} else {
exec command.com /c move $rootdirectory/allergies/$oldname $rootdirectory/allergies/$newname
exec command.com /c move $rootdirectory/demographics/$oldname $rootdirectory/demographics/$newname
exec command.com /c move $rootdirectory/drug_refills/$oldname $rootdirectory/drug_refills/$newname
exec command.com /c move $rootdirectory/problem_list/$oldname $rootdirectory/problem_list/$newname
exec command.com /c move $rootdirectory/progress_notes/$oldname.htm $rootdirectory/progress_notes/$newname.htm
}

.list delete 0 end;refresh

}


# This procedure is for setting the listbox to match the fragment 
# of the name in the entry widget and select the match
# and scroll the listbox to display the match at the top.

proc setselection {namefragment} {
global argc tcl_platform
if $argc>0 {set dir [lindex $argv 0]} else {set dir "."}
.list see 0
set index 0
if {$tcl_platform(os) == "Linux"} {
foreach i [exec ls -a $dir] {
    .list yview $index
    ;#.list see $index
    if [regexp $namefragment $i] {
    .list selection set $index  
    .list activate $index
    break
    }
   incr index
}
} else {
foreach i [exec command.com /c dir /ON $dir] {
      .list yview $index
      if [regexp $namefragment $i] {
      .list selection set $index
      .list activate $index
      break
      }
     incr index
 
}
}


};# end of proc refresh

# The procedure below is invoked to open a browser on a given file;  if the
# file is a directory then another instance of this program is invoked; if
# the file is a regular file then the Mx editor is invoked to display
# the file.

proc browselinux {dir file} {
   global nameentry 
   global env
   global rootdirectory
   global tcl_platform
    if {[string compare $dir "."] != 0} {set file $dir/$file}
    if [file isdirectory $file] {
        exec browse $file &
    } else {
	if [file isfile $file] {
	    if [info exists env(EDITOR)] {
		eval exec $env(EDITOR) $file &
	    } else {
            catch {set f [open $rootdirectory/demographics/$file r]}
               
               send TFP_drugrefill.tcl "set name $file"
               send TFP_drugrefill.tcl "$nameentry configure -fg black -bg gray"
               send TFP_drugrefill.tcl {set medicine ""} 
               send TFP_drugrefill.tcl {set dose ""}
               send TFP_drugrefill.tcl {set quantity ""}
               send TFP_drugrefill.tcl "loadFile $rootdirectory/drug_refills/$file"
               send TFP_drugrefill.tcl "set Url file://$rootdirectory/progress_notes/$file.htm"
               send TFP_drugrefill.tcl {HB_init .text;HB_load_url .text $Url}
             
               send TFP_drugrefill.tcl ".text yview end"
               send browsedrug.tcl "set name $file"
               send note_gen.tcl {set plan ""}
#           catch { send webtk "set HM.text(S_urlDisplay) $rootdirectory/progress_notes/$file.htm"}
#           catch { send webtk "File_LoadNew .text 0"}            

              catch {send demographicform.tcl "clearform"}
              
              catch { while {[gets $f line] >=0} {
               
              
                
                set line [split $line :]
                set first [lindex $line 0]
                set second [lindex $line 1]
                send demographicform.tcl "set $first {$second}"
                send demographicform.tcl "set filename $file"
                send note_gen.tcl "set name $file"
                send note_gen.tcl "set file $rootdirectory/progress_notes/$file.htm"

               }
                catch {send demographicform.tcl calcage}
                send demographicform.tcl {.top17.men21 config -text $healthplan}
                send demographicform.tcl {.top17.men23 config -text $PCP}
             }

              catch {close $f}
      catch {  set f [open $rootdirectory/problem_list/$file r]
  while {[gets $f line] >=0} {   
                ;#gets $f line
                
                set line [split $line :]
                puts $line
                set first [lindex $line 0]
                set second [lindex $line 1]

                send problem_list.tcl "set $first {$second}"
              }
                 
             
               close $f }
 	    }
	} else {
	    puts stdout "\"$file\" isn't a directory or regular file"
	}
    }
}


proc browsewindows {dir file} {
   global nameentry 
   global env
   global rootdirectory
   global tcl_platform
   global TFP_drugrefill.tcl
   global browsedrug.tcl
   global demographicform.tcl
   global note_gen.tcl
    if {[string compare $dir "."] != 0} {set file $dir/$file}
    if [file isdirectory $file] {
        exec browsewindows $file &
    } else {
	if [file isfile $file] {
	    if [info exists env(EDITOR)] {
		eval exec $env(EDITOR) $file &
	    } else {
            catch {set f [open $rootdirectory/demographics/$file r]}
               
               comm send ${TFP_drugrefill.tcl} "set name $file"
               comm send ${TFP_drugrefill.tcl} ".topframe.topleftframe.topleftleftframe.nameentry configure -fg black -bg gray"
               comm send ${TFP_drugrefill.tcl} {set medicine ""} 
               comm send ${TFP_drugrefill.tcl} {set dose ""}
               comm send ${TFP_drugrefill.tcl} {set quantity ""}
               comm send ${TFP_drugrefill.tcl} "loadFile $rootdirectory/drug_refills/$file"
               comm send ${TFP_drugrefill.tcl} "set Url file://$rootdirectory/progress_notes/$file.htm"
               comm send ${TFP_drugrefill.tcl} {HB_init .text;HB_load_url .text $Url}
             
               comm send ${TFP_drugrefill.tcl} ".text yview end"
               comm send ${browsedrug.tcl} "set name $file"
               comm send ${note_gen.tcl} {set plan ""}
#           catch { send webtk "set HM.text(S_urlDisplay) $rootdirectory/progress_notes/$file.htm"}
#           catch { send webtk "File_LoadNew .text 0"}            

              catch {comm send ${demographicform.tcl} "clearform"}
              
              catch { while {[gets $f line] >=0} {
               
              
                
                set line [split $line :]
                set first [lindex $line 0]
                set second [lindex $line 1]
                comm send ${demographicform.tcl} "set $first {$second}"
                comm send ${demographicform.tcl} "set filename $file"
                comm send ${note_gen.tcl} "set name $file"
                comm send ${note_gen.tcl} "set file $rootdirectory/progress_notes/$file.htm"

               }
                catch {comm send ${demographicform.tcl} "calcage"}
                comm send ${demographicform.tcl} {.top17.men21 config -text $healthplan}
                comm send ${demographicform.tcl} {.top17.men23 config -text $PCP}
             }

              catch {close $f}
      catch {  set f [open $rootdirectory/problem_list/$file r]
  while {[gets $f line] >=0} {   
                ;#gets $f line
                
                set line [split $line :]
                puts $line
                set first [lindex $line 0]
                set second [lindex $line 1]
                # I don't think this is doing anything any longer
                #comm send problem_list.tcl "set $first {$second}"
              }
                 
             
               close $f }
 	    }
	} else {
	    puts stdout "\"$file\" isn't a directory or regular file"
	}
    }
}





# Fill the listbox with a list of all the files in the directory (run
# the "ls" command to get that information).

if $argc>0 {set dir [lindex $argv 0]} else {set dir "."}
if {$tcl_platform(os) == "Linux"} {
foreach i [exec ls -a $dir] {
    .list insert end $i
}
} else {
foreach i [exec command.com /c dir /ON $dir] {

 if [regexp {^[A-Z][a-z]+.+_[A-Z][a-z]+.+$} $i ] { .list insert end $i }

}
}

# This procedure reloads the list box with the names of the files in $rootdirectory/drug_refills. It's used
# when you add or remove a new patient from the system.
proc refresh { } {
global argc dir argv tcl_platform
if $argc>0 {set dir [lindex $argv 0]} else {set dir "."}
if {$tcl_platform(os) == "Linux"} {
foreach i [exec ls -a $dir] {
    .list insert end $i
};# end of foreach 
} else {
foreach i [exec command.com /c dir /ON $dir] {
if [regexp {^[A-Z][a-z]+.+_[A-Z][a-z]+.+$} $i ] { .list insert end $i }
}

};# end of else statement

};# end of proc refresh



# Set up bindings for the browser.

bind all <Control-c> {destroy .}
if {$tcl_platform(os) == "Linux"} {
bind .list <Double-Button-1> {foreach i [selection get] {browselinux $dir $i}}
} else {
bind .list <Double-Button-1> {foreach i [selection get] {browsewindows $dir $i}}
}
bind .entry <Key-Return> {setselection $namefragment}
bind .list <Button-3> {foreach i [selection get] {
                              toplevel .del_merge
                              entry .del_merge.oldname -textvariable oldname
                              pack .del_merge.oldname
                              entry .del_merge.newname -textvariable newname
                              pack .del_merge.newname
                              button .del_merge.delete -text {Delete Patient's Files} \
                              -command {deleteName $oldname;toplevel .informuser;label .informuser.inform -text {destroying $oldname};pack .informuser.inform;after 5000;destroy .informuser;destroy .del_merge}
                              pack .del_merge.delete
                              button .del_merge.merge -text {Move Files to New Name} \
                              -command {mergeName $oldname $newname;toplevel .informuser;label .informuser.inform -text {moving $oldname to $newname ...};pack .informuser.inform;after 5000;destroy .informuser;destroy .del_merge}
                              pack .del_merge.merge }
                             }

if {$tcl_platform(os) != "Linux"} {
tk appname "browsename.tcl [comm self]"
wm title . "browsename.tcl [comm self]"
exec wish80 c:/progra~1/tcl/bin/drug_programs/browsedrug.tcl &
}

proc returnappname {} {
return [tk appname]
}
