#!/usr/local/bin/itkwish3.0
#############################################################################
# Visual Tcl v1.11p1 Project
#


#################################
# GLOBAL VARIABLES
#
if { $tcl_platform(os) == "Windows 95" } {
     set rootdirectory "c:/Program Files/tcl/bin"
     cd $rootdirectory/demographics
     set tempfaxdirectory "c:/bgfax"
     source $rootdirectory/drug_programs/comm.tcl
    } else {
    cd ~
    set rootdirectory [pwd]
    cd ~/demographics
    set tempfaxdirectory "/var/local/bin"
    }

global PCP; set PCP {Select PCP}
global SSN; set SSN {}
global age; set age {}
global autoaccident; set autoaccident {no}
global city; set city {}
global cptcode; set cptcode {}
global dob; set dob {}
global driverslicense; set driverslicense {}
global email; set email {}
global employer; set employer {}
global faxrecipient; set faxrecipient {}
global firstname; set firstname {}
global healthplan; set healthplan {Select Healthplan}
global homephone; set homephone {}
global lastname; set lastname {}
global mi; set mi {}
global othercoverage; set othercoverage {}
global reasonreferral; set reasonreferral {}
global relation; set relation {}
global sex; set sex {}
global specialty; set specialty {Select Specialty}
global specialtyprovider; set specialtyprovider {Select Specialist}
global state; set state {}
global streetaddress; set streetaddress {}
global subscriberfirstname; set subscriberfirstname {}
global subscriberid; set subscriberid {}
global subscriberlastname; set subscriberlastname {}
global subscribermi; set subscribermi {}
global typeauth; set typeauth {STAT}
global typereferral; set typereferral {Consult}
global workphone; set workphone {}
global workrelated; set workrelated {no}
global zip; set zip {}
global widget; 
#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {

}

init $argc $argv


proc {authorizationRequest} {} {
global rootdirectory tcl_platform
global lastname
global firstname
global mi
global dob
global age
global sex 
global streetaddress
global city
global state   
global zip    
global homephone
global workphone
global employer 
global email
global SSN
global relation
global healthplan
global PCP
global reasonreferral
global subscriberlastname
global subscriberfirstname
global subscribermi
global subscriberid
global typeauth
global specialtyprovider
global specialty
global typereferral
global autoaccident
global workrelated
global cptcode
global othercoverage
global filename
global progressnote
global faxrecipient
set datetoday [clock format [clock seconds] -format "%x.%R"]
set datetoday [split $datetoday /]
set datetoday [join $datetoday .]
set datetoday [split $datetoday :]
set datetoday [join $datetoday .]

set reasonreferral [.top17.tex47 get 1.0 end]

if {$faxrecipient == "Tulare_Medical_Group" || $faxrecipient == "TFP"} {
set f [open $rootdirectory/pending_authorizations/$filename.$datetoday w]
puts $f "<HTML>"
puts $f "<TITLE>"
puts $f "Tulare Medical Group, Inc. Authorization Request"
puts $f "</TITLE>"
puts $f "<BODY>"
puts $f "<CENTER><H1>Tulare Medical Group, Inc.</H1>"
puts $f "<H2>Authorization Request</H2></CENTER>"
puts $f "<HR>"
puts $f "<PRE>"
puts $f "      MANAGED CARE SYSTEMS"
puts $f "         799 Cherry St."
puts $f "         Tulare, CA 93274"
puts $f "         559-687-3122"
puts $f "       Fax 559-687-3120"
puts $f "</PRE>"
puts $f "<P>"
puts $f "<CENTER>File created [clock format [clock seconds] -format "%x %R"] </CENTER>"
puts $f "<FORM ACTION=\"http://alcald.psnw.com/cgi-bin/parserauthorization.cgi\" METHOD=\"POST\"><BR>"
puts $f "Health Plan <INPUT TYPE=\"text\"  NAME=\"healthplan\" VALUE=\"$healthplan\" SIZE=25 >"
puts $f "PCP<INPUT TYPE=\"text\" NAME=\"pcp\" VALUE=\"$PCP\">"
puts $f "type authorization<INPUT TYPE=\"text\" NAME=\"typeauth\" VALUE=\"$typeauth\">"
puts $f "<CENTER><H2>Patient Identification</H2></CENTER>"
puts $f "Last Name<INPUT TYPE=\"text\" NAME=\"lastname\" VALUE=\"$lastname\">"
puts $f " Firstname<INPUT TYPE=\"text\" NAME=\"firstname\" VALUE=\"$firstname\"><BR>"
puts $f "Date of Birth<INPUT TYPE=\"text\" NAME=\"dob\" VALUE=\"$dob\" SIZE=10>"
puts $f "age<INPUT TYPE=\"text\" NAME=\"age\" VALUE=\"$age\" SIZE=4>"
puts $f " sex<INPUT TYPE=\"text\" NAME=\"sex\" VALUE=\"$sex\" SIZE=2><BR>"
puts $f "Relation<INPUT TYPE=\"text\" NAME=\"relation\" VALUE=\"$relation\">" 
puts $f " Street address<INPUT TYPE=\"text\" NAME=\"streetaddress\" VALUE=\"$streetaddress\"><BR>"
puts $f "City<INPUT TYPE=\"text\" NAME=\"city\" VALUE=\"$city\">"
puts $f " State<INPUT TYPE=\"text\" NAME=\"state\" VALUE=\"$state\" SIZE=9><BR>"
puts $f "Zipcode<INPUT TYPE=\"text\" NAME=\"zip\" VALUE=\"$zip\" SIZE=8>"
puts $f " Homephone<INPUT TYPE=\"text\" NAME=\"homephone\" VALUE=\"$homephone\">"
puts $f " Workphone<INPUT TYPE=\"text\" NAME=\"workphone\" VALUE=\"$workphone\"><BR>"
puts $f "Autoaccident<INPUT TYPE=\"text\" NAME=\"autoaccident\" VALUE=\"$autoaccident\" SIZE=3>"
puts $f " Work related<INPUT TYPE=\"text\" NAME=\"workrelated\" VALUE=\"$workrelated\" SIZE=3><HR>"
puts $f "<CENTER><H2>Subscriber Information</H2></CENTER>"
puts $f "Subscriber last name<INPUT TYPE=\"text\" NAME=\"subscriberlastname\" VALUE=\"$subscriberlastname\">"
puts $f " Subscriber first name<INPUT TYPE=\"text\" NAME=\"subscriberfirstname\" VALUE=\"$subscriberfirstname\">"
puts $f " Middle initial<INPUT TYPE=\"text\" NAME=\"mi\" VALUE=\"$mi\" SIZE=2><BR>"
puts $f " Employer<INPUT TYPE=\"text\" NAME=\"employer\" VALUE=\"$employer\">"
puts $f " SSN<INPUT TYPE=\"text\" NAME=\"SSN\" VALUE=\"$SSN\">"
puts $f " Subscriber ID<INPUT TYPE=\"text\" NAME=\"subscriberid\" VALUE=\"$subscriberid\"><P>"
puts $f "Othercoverage<INPUT TYPE=\"text\" NAME=\"othercoverage\" VALUE=\"$othercoverage\"><P><HR>"
puts $f "Patient Diagnosis<INPUT TYPE=\"text\" NAME=\"assesment\" VALUE=\"\"><P>"
puts $f "Reason for referral<P><TEXTAREA NAME=\"reasonreferral\" ROWS=5 COLS=45>"
puts $f "$reasonreferral"
puts $f "</TEXTAREA><P>"
puts $f "Progress Note"

if { $progressnote != "" } {
puts $f "$progressnote"
} else {
puts $f "                                NO PROGRESS NOTES AVAILABLE"
}

puts $f "<p><IMG SRC=\"signature.gif\"><B>PCP Signature <IMG SRC=\"al.gif\"> PCP picture "
puts $f "<HR>"
puts $f "<H2>Referral Requests</H2>"
puts $f "Specialty Provider<INPUT TYPE=\"text\" NAME=\"specialtyprovider\" VALUE=\"$specialtyprovider\">"
puts $f "Specialty<INPUT TYPE=\"text\" NAME=\"specialty\" VALUE=\"$specialty\">"
puts $f "CPT Code<INPUT TYPE=\"text\" NAME=\"cptcode\" VALUE=\"$cptcode\">"
puts $f "Type Referral<INPUT TYPE=\"text\" NAME=\"typereferral\" VALUE=\"$typereferral\">"
puts $f "<HR>"
puts $f "<CENTER><H2>For Utilization Reveiw Use Only</H2></CENTER>"
puts $f "Action Taken <INPUT TYPE=\"text\" NAME=\"actiontaken\" VALUE=\" \">"
puts $f "Date <INPUT TYPE=\"text\" NAME=\"responsedate\" VALUE=\"\">"
puts $f "Copay<INPUT TYPE=\"text\" NAME=\"copay\">"
puts $f "Group No.<INPUT TYPE=\"text\" NAME=\"groupno\" VALUE=\"\">"
puts $f "Eligiblity date<INPUT TYPE=\"text\" NAME=\"eligiblitydate\" VALUE=\"\">"
puts $f "Plan Code<INPUT TYPE=\"text\" NAME=\"plancode\" VALUE=\"\">"
puts $f "Verified by<INPUT TYPE=\"text\" NAME=\"verifiedby\" VALUE=\"\">"
puts $f "Comments--<P>"
puts $f "<TEXTAREA NAME-\"comments\" ROWS=20 COLS=50>"
puts $f "</TEXTAREA>"
;#puts $f "<P><INPUT TYPE=\"reset\">"
;#puts $f "<INPUT TYPE=\"submit\" VALUE=\"Store on Webserver\">"
puts $f "</FORM>"
close $f
set f [open $rootdirectory/pending_authorizations/$filename.$datetoday r]
set p [read $f]
close $f
if {$tcl_platform(os) == "Linux"} {
exec cat $rootdirectory/pending_authorizations/$filename.$datetoday >> $rootdirectory/authorizations/$filename
exec netscape file://$rootdirectory/pending_authorizations/$filename.$datetoday &
} else {
set f [open $rootdirectory/pending_authorizations/$filename a]
puts $f $p
close $f
exec c:/progra~1/netscape/communicator/program/netscape.exe $rootdirectory/pending_authorizations/$filename.$datetoday 
}
} elseif { $faxrecipient == "Central_Sierra"} {
set f [open $rootdirectory/pending_authorizations/$filename.$datetoday w]
puts $f "<HTML>"
puts $f "<TITLE>"
puts $f "Central Sierra Managed Care Authorization Request"
puts $f "</TITLE>"
puts $f "<BODY>"
puts $f "<CENTER><H1>Central Sierra Managed Care</H1>"
puts $f "<H2>Authorization Request</H2></CENTER>"
puts $f "<HR>"
puts $f "<PRE>"
puts $f "      CENTRAL SIERRA MANAGED CARE"
puts $f "         PORTERVILLE               TULARE/DINUBA"
puts $f "         Phone: 559- 782-3175       Phone: 559 684-9180"
puts $f "                800 6786-6363              800 478-1414"
puts $f "         Fax:   559-687-3120        Fax:   559- 684-9182"
puts $f "</PRE>"
puts $f "<P>"
puts $f "<CENTER>File created [clock format [clock seconds] -format "%x %R"] </CENTER>"
puts $f "<FORM ACTION=\"http://alcald.psnw.com/cgi-bin/parserauthorization.cgi\" METHOD=\"POST\"><BR>"
puts $f "Health Plan <INPUT TYPE=\"text\"  NAME=\"healthplan\" VALUE=\"$healthplan\" SIZE=25 >"
puts $f "PCP<INPUT TYPE=\"text\" NAME=\"pcp\" VALUE=\"$PCP\">"
puts $f "type authorization<INPUT TYPE=\"text\" NAME=\"typeauth\" VALUE=\"$typeauth\">"
puts $f "<CENTER><H2>Patient Identification</H2></CENTER>"
puts $f "Last Name<INPUT TYPE=\"text\" NAME=\"lastname\" VALUE=\"$lastname\">"
puts $f " Firstname<INPUT TYPE=\"text\" NAME=\"firstname\" VALUE=\"$firstname\"><BR>"
puts $f "Date of Birth<INPUT TYPE=\"text\" NAME=\"dob\" VALUE=\"$dob\" SIZE=10>"
puts $f "age<INPUT TYPE=\"text\" NAME=\"age\" VALUE=\"$age\" SIZE=4>"
puts $f " sex<INPUT TYPE=\"text\" NAME=\"sex\" VALUE=\"$sex\" SIZE=2><BR>"
puts $f "Relation<INPUT TYPE=\"text\" NAME=\"relation\" VALUE=\"$relation\">"
puts $f " Street address<INPUT TYPE=\"text\" NAME=\"streetaddress\" VALUE=\"$streetaddress\"><BR>"
puts $f "City<INPUT TYPE=\"text\" NAME=\"city\" VALUE=\"$city\">"
puts $f " State<INPUT TYPE=\"text\" NAME=\"state\" VALUE=\"$state\" SIZE=9><BR>"
puts $f "Zipcode<INPUT TYPE=\"text\" NAME=\"zip\" VALUE=\"$zip\" SIZE=8>"
puts $f " Homephone<INPUT TYPE=\"text\" NAME=\"homephone\" VALUE=\"$homephone\">"
puts $f " Workphone<INPUT TYPE=\"text\" NAME=\"workphone\" VALUE=\"$workphone\"><BR>"
puts $f "Autoaccident<INPUT TYPE=\"text\" NAME=\"autoaccident\" VALUE=\"$autoaccident\" SIZE=3>"
puts $f " Work related<INPUT TYPE=\"text\" NAME=\"workrelated\" VALUE=\"$workrelated\" SIZE=3><HR>"
puts $f "<CENTER><H2>Subscriber Information</H2></CENTER>"
puts $f "Subscriber last name<INPUT TYPE=\"text\" NAME=\"subscriberlastname\" VALUE=\"$subscriberlastname\">"
puts $f " Subscriber first name<INPUT TYPE=\"text\" NAME=\"subscriberfirstname\" VALUE=\"$subscriberfirstname\">"
puts $f " Middle initial<INPUT TYPE=\"text\" NAME=\"mi\" VALUE=\"$mi\" SIZE=2><BR>"
puts $f " Employer<INPUT TYPE=\"text\" NAME=\"employer\" VALUE=\"$employer\">"
puts $f " SSN<INPUT TYPE=\"text\" NAME=\"SSN\" VALUE=\"$SSN\">"
puts $f " Subscriber ID<INPUT TYPE=\"text\" NAME=\"subscriberid\" VALUE=\"$subscriberid\"><P>" 
puts $f "Othercoverage<INPUT TYPE=\"text\" NAME=\"othercoverage\" VALUE=\"$othercoverage\"><P><HR>"
puts $f "Patient Diagnosis<INPUT TYPE=\"text\" NAME=\"assesment\" VALUE=\"\"><P>"
puts $f "Reason for referral<P><TEXTAREA NAME=\"reasonreferral\" ROWS=5 COLS=45>"
puts $f "$reasonreferral"
puts $f "</TEXTAREA><P>"
puts $f "Progress Note"

if { $progressnote != "" } {
puts $f "$progressnote"
} else {
puts $f "                                NO PROGRESS NOTES AVAILABLE"
}

puts $f "<HR>"
puts $f "<H2>Referral Requests</H2>"
puts $f "Specialty Provider<INPUT TYPE=\"text\" NAME=\"specialtyprovider\" VALUE=\"$specialtyprovider\">"
puts $f "Specialty Provider<INPUT TYPE=\"text\" NAME=\"specialtyprovider\" VALUE=\"$specialtyprovider\">"
puts $f "Specialty<INPUT TYPE=\"text\" NAME=\"specialty\" VALUE=\"$specialty\">"
puts $f "CPT Code<INPUT TYPE=\"text\" NAME=\"cptcode\" VALUE=\"$cptcode\">"
puts $f "Type Referral<INPUT TYPE=\"text\" NAME=\"typereferral\" VALUE=\"$typereferral\">"
puts $f "<HR>"   
puts $f "<CENTER><H2>For Utilization Reveiw Use Only</H2></CENTER>"
puts $f "Action Taken <INPUT TYPE=\"text\" NAME=\"actiontaken\" VALUE=\" \">"
puts $f "Date <INPUT TYPE=\"text\" NAME=\"responsedate\" VALUE=\"\">"
puts $f "Copay<INPUT TYPE=\"text\" NAME=\"copay\">"
puts $f "Group No.<INPUT TYPE=\"text\" NAME=\"groupno\" VALUE=\"\">"
puts $f "Eligiblity date<INPUT TYPE=\"text\" NAME=\"eligiblitydate\" VALUE=\"\">"
puts $f "Plan Code<INPUT TYPE=\"text\" NAME=\"plancode\" VALUE=\" \">"
puts $f "Verified by<INPUT TYPE=\"text\" NAME=\"verifiedby\" VALUE=\"\">"
puts $f "Comments--<P>"
puts $f "<TEXTAREA NAME-\"comments\" ROWS=20 COLS=50>"
puts $f "</TEXTAREA>"
;#puts $f "<P><INPUT TYPE=\"reset\">"
;#puts $f "<INPUT TYPE=\"submit\" VALUE=\"Store on Webserver\">"
puts $f "</FORM>"
close $f


set f [open $rootdirectory/pending_authorizations/$filename.$datetoday r]
set p [read $f]
close $f
if {$tcl_platform(os) == "Linux"} {
exec cat $rootdirectory/pending_authorizations/$filename.$datetoday >> $rootdirectory/authorizations/$filename
exec netscape file://$rootdirectory/pending_authorizations/$filename.$datetoday &
} else {
set f [open $rootdirectory/pending_authorizations/$filename a]
puts $f $p
close $f
exec c:/progra~1/netscape/communicator/program/netscape.exe $rootdirectory/pending_authorizations/$filename.$datetoday 
}


} 

}

proc {calcage} {} {
global dob
global age
global sex
global firstname lastname extension
global note_gen.tcl
set datenow [clock format [clock seconds] -format "%m/%d/%Y"]
set datenow [split $datenow "/"]
set birthdate [split $dob "/"]

set monthnow [lindex $datenow 0]
set daynow [lindex $datenow 1]
set monthofbirth [lindex $birthdate 0]
set dayofbirth [lindex $birthdate 1]

if [string match "0*" $monthnow] {
    set monthnow [string trimleft $monthnow "0"]
    }

if [string match "0*" $daynow] {
    set daynow [string trimleft $daynow "0"]
    }


if [string match "0*" $monthofbirth] {
    set monthofbirth [string trimleft $monthofbirth "0"]
    }

if [string match "0*" $dayofbirth] {
     set dayofbirth [string trimleft $dayofbirth "0"]
     }

if {$monthofbirth < $monthnow } {
     set age [expr [lindex $datenow 2] - [lindex $birthdate 2]]
     }

if {$monthofbirth > $monthnow } {
     set age [expr [expr [lindex $datenow 2] - 1 ] - [lindex $birthdate 2]]
    }

if { $monthofbirth == $monthnow } { 
    if { $dayofbirth <= $daynow } {
          set age [expr [lindex $datenow 2] - [lindex $birthdate 2]]
       } elseif { $dayofbirth > $daynow } {
                set age [expr [expr [lindex $datenow 2] - 1 ] - [lindex $birthdate 2]]
                }
}

#if {$monthofbirth == $monthnow && $dayofbirth > $daynow } {
#     set age [expr [lindex $datenow 2] - [lindex $birthdate 2]]
#     }

#if {$monthofbirth == $monthnow && $dayofbirth > $daynow } {
#     set age [expr [expr [lindex $datenow 2] - 1] - [lindex $birthdate 2]]
#    }

catch {send note_gen.tcl "set age $age;set dob $dob;set sex $sex;set firstname $firstname;set lastname $lastname;checksex"}
catch {comm send ${note_gen.tcl} "set age $age;set dob $dob;set sex $sex;set firstname $firstname;set lastname $lastname;checksex"}

}

proc {clearform} {} {
global lastname
global firstname
global mi
global dob
global age
global sex
global streetaddress
global city
global state
global zip
global homephone
global workphone
global employer
global email
global SSN
global healthplan
global PCP
global relation
global subscriberlastname
global subscriberfirstname
global subscribermi
global subscriberid
global driverslicense
global cptcode
global othercoverage
set lastname {}
set firstname {}
set mi {}
set dob {}
set age {}
set sex {}
set streetaddress {}
set city {}
set state {}
set zip {}
set homephone {}
set workphone {}
set email {}
set employer {}
set SSN {}
set relation {}
set healthplan {}
set PCP {}
set subscriberlastname {}
set subscriberfirstname {}
set subscribermi {}
set subscriberid {}
set driverslicense {}
set cptcode {}
set othercoverage {}
}

proc {faxAuthorizationRequest} {} {
global rootdirectory
global tempfaxdirectory extension tcl_platform
global lastname
global firstname
global mi
global dob
global age
global sex
global streetaddress
global city
global state
global zip
global homephone
global workphone
global employer
global email
global SSN
global relation
global healthplan
global PCP
global reasonreferral
global subscriberlastname
global subscriberfirstname
global subscribermi
global subscriberid
global typeauth
global specialtyprovider
global specialty
global typereferral
global autoaccident
global workrelated
global cptcode
global othercoverage
global filename
global faxrecipient
global progressnote
set datetoday [clock format [clock seconds] -format "%x.%R"]
set datetoday [split $datetoday /]
set datetoday [join $datetoday .]
set datetoday [split $datetoday :]
set datetoday [join $datetoday .]
set reasonreferral [.top17.tex47 get 1.0 end]

if {$faxrecipient == "Tulare_Medical_Group" || $faxrecipient == "TFP"} {
set f [open $rootdirectory/pending_authorizations/$filename.$datetoday w]
puts $f "      "
puts $f "      "
puts $f "      "
puts $f "      "
puts $f "                               Tulare Medical Group, Inc. "
puts $f "                                 Authorization Request    "
puts $f "                                                          "
puts $f "       "
puts $f "      MANAGED CARE SYSTEMS"
puts $f "         799 Cherry St."
puts $f "         Tulare, CA 93274"
puts $f "         559-687-3122"
puts $f "       Fax 559-687-3120"
puts $f "                         "
puts $f "                         "
puts $f "                                File created [clock format [clock seconds] -format "%x %R"]"
puts $f 
puts $f "Health Plan - $healthplan    PCP - $PCP "
puts $f "type authorization - $typeauth"
puts $f "       "
puts $f "                               Patient Identification"
puts $f "        "
puts $f "Last Name - $lastname  Firstname - $firstname  Date of Birth - $dob"
puts $f "age - $age  sex - $sex  Relation - $relation"
puts $f "Street address - $streetaddress  City - $city  State - $state  Zipcode - $zip"
puts $f " Homephone - $homephone  Workphone - $workphone"
puts $f "Autoaccident - $autoaccident  Work related - $workrelated"
puts $f "        "
puts $f "                               Subscriber Information"
puts $f "Subscriber last name - $subscriberlastname   Subscriber first name - $subscriberfirstname  MI. - $mi"
puts $f "Employer - $employer  SSN - $SSN"
puts $f " Subscriber ID - $subscriberid  Other Coverage - $othercoverage"
#puts $f "Patient Diagnosis<INPUT TYPE=\"text\" NAME=\"assesment\" VALUE=\"\"><P>"
puts $f "Reason for referral - $reasonreferral"
puts $f "         "
puts $f "                                    Progress Note"
puts $f "         "
set tempprogressnote ""
if { $progressnote != "" } { 

for { set x 0 } {$x < [llength $progressnote]} {incr x} {

    if { 
         $x == "2"  || $x == "3" || [lindex $progressnote $x] == "Problem:"
         || [lindex $progressnote $x] == "Subjective:" || [lindex $progressnote $x] == "Objective:"
         || [lindex $progressnote $x] == "Assesment:" || [lindex $progressnote $x] == "Plan:"
         || [lindex  $progressnote $x] == "Alexander"
        } {
     append tempprogressnote "\n"
        }
     append tempprogressnote [lindex $progressnote $x]
     append tempprogressnote  " "

         if {[expr $x % 11] == "0" && $x != "0" } {
             append tempprogressnote "\n "
             }
                         
 }

puts $f "$tempprogressnote"

} else {
puts $f "                                NO PROGRESS NOTES AVAILABLE"
}
puts $f "         "
puts $f "                                   Referral Requests"
puts $f "Specialty Provider - $specialtyprovider  Specialty - $specialty"
puts $f "CPT Code - $cptcode  Type Referral - $typereferral"

puts $f "     "
puts $f "                               For Utilization Reveiw Use Only"
puts $f "Action Taken - check one"
puts $f "                Approved ___"
puts $f "    Approved as Modified ___"
puts $f " More Information Needed ___"
puts $f "                  Denied ___"
puts $f "Date  -   __\/__\/19__         Copy - \$______"   
puts $f "Group No. ___________________   Eligibility date __\/__\/19__  Plan Code - ________________"
puts $f "Verified by ______________________________________________"
puts $f "Comments--"
puts $f "          "
puts $f "          "   
puts $f "          "


close $f

#exec cp $rootdirectory/pending_authorizations/$filename.$datetoday $tempfaxdirectory/$faxrecipient
#exec cat $rootdirectory/pending_authorizations/$filename.$datetoday >> $rootdirectory/authorizations/$filename
file copy $rootdirectory/pending_authorizations/$filename.$datetoday $tempfaxdirectory/$faxrecipient
set f [open $rootdirectory/pending_authorizations/$filename.$datetoday r]
set p [read $f]
close $f
set f [open $rootdirectory/authorizations/$filename a]
puts $f $p
close $f

} elseif { $faxrecipient == "Central_Sierra"} {
set f [open $rootdirectory/pending_authorizations/$filename.$datetoday w]

puts $f "      "
puts $f "      "
puts $f "      "
puts $f "      "  
puts $f "           CENTRAL SIERRA MANAGED CARE "
puts $f "           PORTERVILLE                 TULARE/DINUBA          AUTHORIZATION REQUEST"
puts $f "       Phone: 559-782-3175           Phone: 559-684-9180 "
puts $f "              800-676-6363                  800-478-1414 "
puts $f "       FAX:   559-782-1316                  559-684-9182 "
puts $f "                         " 
puts $f "                         "
puts $f "                         "
puts $f "                                File created [clock format [clock seconds] -format "%x %R"]"
puts $f "                          "
puts $f "Health Plan - $healthplan    PCP - $PCP "
puts $f "type authorization - $typeauth"
puts $f "       "
puts $f "                               Patient Identification"
puts $f "        "
puts $f "Last Name - $lastname  Firstname - $firstname  Date of Birth - $dob"
puts $f "age - $age  sex - $sex  Relation - $relation"
puts $f "Street address - $streetaddress  City - $city  State - $state  Zipcode - $zip"
puts $f " Homephone - $homephone  Workphone - $workphone"
puts $f "Autoaccident - $autoaccident  Work related - $workrelated"
puts $f "        "
puts $f "                               Subscriber Information"
puts $f "Subscriber last name - $subscriberlastname   Subscriber first name - $subscriberfirstname  MI. - $mi"
puts $f "Employer - $employer  SSN - $SSN"
puts $f " Subscriber ID - $subscriberid  Other Coverage - $othercoverage"
#puts $f "Patient Diagnosis<INPUT TYPE=\"text\" NAME=\"assesment\" VALUE=\"\"><P>"
puts $f "Reason for referral - $reasonreferral"
puts $f "         " 
puts $f "                                    Progress Note"
puts $f "         " 

set tempprogressnote ""
if { $progressnote != "" } {

for { set x 0 } {$x < [llength $progressnote]} {incr x} {

    if {
         $x == "2"  || $x == "3" || [lindex $progressnote $x] == "Problem:"
         || [lindex $progressnote $x] == "Subjective:" || [lindex $progressnote $x] == "Objective:"
         || [lindex $progressnote $x] == "Assesment:" || [lindex $progressnote $x] == "Plan:"
         || [lindex $progressnote $x] == "Alexander"
        } {
     append tempprogressnote "\n"
        }
     append tempprogressnote [lindex $progressnote $x]
     append tempprogressnote  " "

         if {[expr $x % 11] == "0" && $x != "0" } {   
             append tempprogressnote "\n "
             }

 }

puts $f "$tempprogressnote"



} else {
puts $f "                                NO PROGRESS NOTES AVAILABLE"
} 
puts $f "         "
puts $f "                                   Referral Requests"
puts $f "Specialty Provider - $specialtyprovider  Specialty - $specialty"
puts $f "CPT Code - $cptcode  Type Referral - $typereferral"

puts $f "     "   
puts $f "                               For Utilization Reveiw Use Only"
puts $f "Action Taken - check one"
puts $f "                Approved ___"
puts $f "    Approved as Modified ___"
puts $f " More Information Needed ___"
puts $f "                  Denied ___"
puts $f "Date  -   __\/__\/19__         Copy - \$______"
puts $f "Group No. ___________________   Eligibility date __\/__\/19__  Plan Code - ________________"
puts $f "Verified by ______________________________________________"
puts $f "Comments--"
puts $f "          "
puts $f "          "
puts $f "          "


close $f



#exec cp $rootdirectory/pending_authorizations/$filename.$datetoday $tempfaxdirectory/$faxrecipient
#exec cat $rootdirectory/pending_authorizations/$filename.$datetoday >> $rootdirectory/authorizations/$filename
file copy $rootdirectory/pending_authorizations/$filename.$datetoday $tempfaxdirectory/$faxrecipient
set f [open $rootdirectory/pending_authorizations/$filename.$datetoday r]
set p [read $f]
close $f
set f [open $rootdirectory/authorizations/$filename a]
puts $f $p
close $f

}


};# end of faxauthorizationrequest  procedure

proc {writefile} {lastname firstname mi dob age sex streetaddress city state zip homephone workphone employer email SSN relation healthplan PCP subscriberlastname subscriberfirstname subscribermi subscriberid driverslicense othercoverage} {
global $lastname
global $firstname
global $mi
global $dob
global $age
global $sex
global $streetaddress
global $city
global $state
global $zip
global $homephone
global $workphone
global $employer
global $email
global $SSN
global $relation
global $healthplan
global $PCP
global $subscriberlastname
global $subscriberfirstname
global $subscribermi
global $subscriberid
global $driverslicense
global $othercoverage
global filename
 
set f [open $filename w]
puts $f "lastname:$lastname"
puts $f "firstname:$firstname"
puts $f "mi:$mi"
puts $f "dob:$dob"
puts $f "age:$age"
puts $f "sex:$sex"
puts $f "streetaddress:$streetaddress"
puts $f "city:$city"
puts $f "state:$state"
puts $f "zip:$zip"
puts $f "homephone:$homephone"
puts $f "workphone:$workphone"
puts $f "employer:$employer"
puts $f "email:$email"
puts $f "SSN:$SSN"
puts $f "relation:$relation"
puts $f "healthplan:$healthplan"
puts $f "PCP:$PCP"
puts $f "subscriberlastname:$subscriberlastname"
puts $f "subscriberfirstname:$subscriberfirstname"
puts $f "subscribermi:$subscribermi"
puts $f "subscriberid:$subscriberid"
puts $f "driverslicense:$driverslicense"
puts $f "othercoverage:$othercoverage"
close $f
}

proc faxReferralLetter {} {
global faxrecipient progressnote firstname lastname tempname tempstreet temptown tempsalutation 
global rootdirectory tempfaxdirectory
set f [open $rootdirectory/demographics/ReferralLetterList]

      while { ![eof $f] } {
            gets $f line
            puts $line
            set templine [split $line : ]
            if {[lindex $templine 0] == $faxrecipient} {
                 puts $templine
                 set tempname [lindex $templine 1]
                 puts $tempname
                 set tempstreet [lindex $templine 2]
                 puts $tempstreet
                 set temptown [lindex $templine 3]
                 puts $temptown
                 set tempsalutation [lindex $templine 4]
                 puts $tempsalutation
             };#end if if 
          };#end of while loop

close $f

set f [open $tempfaxdirectory/$faxrecipient w]
puts $f "                                                  "
puts $f "                          Tulare Family Practice"
puts $f "                              922 Cherry St."
puts $f "                               Tulare CA 93274"
puts $f "                        Phone: 686-3451 or 686-3421"
puts $f "                              Fax: 686-0799"
puts $f "                                            "
puts $f "                              [clock format [clock seconds] -format "%x %R"]"                      
puts $f "                                           "
puts $f "$tempname"
puts $f "$tempstreet"
puts $f "$temptown"
puts $f "                "
puts $f "$tempsalutation"
puts $f "                          "
puts $f "$firstname $lastname will be coming to see you. Following is a"
puts $f "copy of my progress notes from the patient's chart...."
puts $f "                           "
set tempprogressnote ""
if { $progressnote != "" } {

for { set x 0 } {$x < [llength $progressnote]} {incr x} {

    if {
         $x == "2"  || $x == "3" || [lindex $progressnote $x] == "Problem:"
         || [lindex $progressnote $x] == "Subjective:" || [lindex $progressnote $x] == "Objective:"
         || [lindex $progressnote $x] == "Assesment:" || [lindex $progressnote $x] == "Plan:"
         || [lindex $progressnote $x] == "Alexander"
        } {

     append tempprogressnote "\n"

        }

     append tempprogressnote [lindex $progressnote $x]
     append tempprogressnote  " "
       if {[lindex $progressnote $x] == "M.D."} {
          append tempprogressnote "\n\n\n"
        }

         if {[expr $x % 11] == "0" && $x != "0" } {
             append tempprogressnote "\n "
             }

 }
} 
puts $f "$tempprogressnote"
puts $f "                 "
puts $f "                 "
puts $f "     Thanks for seeing $firstname $lastname"
puts $f "                                           "
puts $f "    Alex Caldwell M.D."
close $f



};# end of faxReferralLetter procedure


;# general mechanism to bring up a toplevel text widget and load a file into it for editing.

proc editFile { file } {
toplevel .allergy ;text .allergy.text -wrap word -yscrollcommand ".allergy.scroll set"
        ;pack .allergy.text -side left -expand true -fill both;
        scrollbar .allergy.scroll -command ".allergy.text yview"
        ;wm title .allergy "Edit $file"
        ;pack .allergy.scroll -side left -fill y;loadFileEdit  $file .allergy.text
        ;button .allergy.save -command "writeFileEdit $file .allergy.text w;bell
        loadspecialistList;loadspecialtyList;loadhealthPlanList;loadpcpList;loadReferralLetterList" -text Save
        ;pack .allergy.save -side bottom -fill x
         ;button .allergy.delete -bg red -fg yellow -text "Del. File" -command {toplevel .allergysure
         ;label .allergysure.question -text "Sure?"
         ;button .allergysure.yes  -command "file delete $file ;destroy .allergysure;destroy .t;bell" -text Yes;
         ;button .allergysure.no -command "destroy .allergysure" -text No;pack .allergysure.question .allergysure.yes .allergysure.no};
         pack .allergy.delete -side bottom -anchor sw -fill x; button .allergy.exit -fg red -bg yellow -text Exit -command {destroy .allergy;bell};
         pack .allergy.exit -side top -fill x
}

proc {loadFileEdit} {file window} {

$window delete 1.0 end
     set lineno 1
     set f [open $file]
     while {![eof $f]} {
     $window insert end [gets $f]\n
    ;# $window yview end
     }  
}

proc {writeFileEdit} {file window mode} {
    set f [$window get 1.0 end]
    set f2 [open $file $mode ]
    
   
    puts $f2 $f
   
    close $f2
}

# this stores a message from the progress note generator
# for a reminder letter that can be generated at a future
# date
    
proc storereminder {futuredate category} {
global firstname lastname streetaddress city state zip sex
global rootdirectory
set f [open $rootdirectory/drug_programs/ReminderFile a]
set line [join [list $futuredate $category $lastname $firstname $streetaddress $city $state $zip $sex] : ]
puts $f $line
close $f 
             
}

;# this procedure is to read the ReminderFile and check the dates in it. When the date now reaches the
;# date previously stored, a reminder letter will be printed on the printer.

proc printReminderLetters {} {
global rootdirectory
;#set datenow [clock format [clock seconds] -format "%m/%d/%Y"]
set counter 1
set f [open $rootdirectory/drug_programs/ReminderFile r]
while { [gets $f line] > 0 } {
set line [split $line :]
set reminderdate($counter) [lindex $line 0]
set datenow [clock format [clock seconds] -format "%m/%d/%Y"]
set message($counter) [lindex $line 1]
set lastname($counter) [lindex $line 2]
set firstname($counter) [lindex $line 3]
set streetaddress($counter) [lindex $line 4]
set city($counter) [lindex $line 5]
set state($counter) [lindex $line 6]
set zip($counter) [lindex $line 7]
set sex($counter) [lindex $line 8]
set datenow [split $datenow / ]
set reminderdate($counter) [split $reminderdate($counter) /]
 
if {[expr [lindex $datenow 2] - [lindex $reminderdate($counter) 2]] >= 1 } {
actuallyPrintReminderLetter $reminderdate($counter) $message($counter) $lastname($counter) $firstname($counter) \
$streetaddress($counter) $city($counter) $state($counter) $zip($counter) $sex($counter) $datenow
unset reminderdate($counter);unset message($counter);unset lastname($counter);unset firstname($counter)
unset streetaddress($counter);unset city($counter);unset state($counter);unset zip($counter);unset sex($counter)
incr counter;puts "counter is $counter";continue
}


if { [expr [lindex $datenow 2] - [lindex $reminderdate($counter) 2]] == 0 
    && [expr [string trimleft [lindex $datenow 0] 0] - [string trimleft [lindex $reminderdate($counter) 0] 0]] >=1 } {
actuallyPrintReminderLetter $reminderdate($counter) $message($counter) $lastname($counter) $firstname($counter) \
$streetaddress($counter) $city($counter) $state($counter) $zip($counter) $sex($counter) $datenow
unset reminderdate($counter);unset message($counter);unset lastname($counter);unset firstname($counter)
unset streetaddress($counter);unset city($counter);unset state($counter);unset zip($counter);unset sex($counter)
incr counter;puts "counter is $counter";continue
}


if {[expr [lindex $datenow 2] - [lindex $reminderdate($counter) 2]] == 0
 && [expr [string trimleft [lindex $datenow 0] 0] - [string trimleft [lindex $reminderdate($counter) 0] 0 ] ] >= 0 
&& [expr [string trimleft [lindex $datenow 1] 0] - [string trimleft [lindex $reminderdate($counter) 1] 0 ] ] >=1} {
actuallyPrintReminderLetter $reminderdate($counter) $message($counter) $lastname($counter) $firstname($counter) \
$streetaddress($counter) $city($counter) $state($counter) $zip($counter) $sex($counter) $datenow
unset reminderdate($counter);unset message($counter);unset lastname($counter);unset firstname($counter)
unset streetaddress($counter);unset city($counter);unset state($counter);unset zip($counter);unset sex($counter)
incr counter;puts "counter is $counter";continue
}
incr counter;puts "counter is $counter"
};# end of while loop
close $f
set f [open $rootdirectory/drug_programs/ReminderFile w]
for {set x 1} {$x <= $counter} {incr x} {
if [info exists message($x)] {
set reminderdate($x) [join $reminderdate($x) /]
set line [join [list $reminderdate($x) $message($x) $lastname($x) $firstname($x) \
$streetaddress($x) $city($x) $state($x) $zip($x) $sex($x)] :]
puts $f $line
puts "storing $line"
}
}
close $f 

};#end of printReminderLetters

proc actuallyPrintReminderLetter {reminderdate message lastname firstname streetaddress city state zip sex datenow} {
global rootdirectory
set f [open $rootdirectory/drug_programs/tempLetterFile w]
puts $f "                                                        "
puts $f "                                                        "
puts $f "                           Tulare Family Practice"
puts $f "                                922 Cherry St."
puts $f "                               Tulare, CA 93274"
puts $f "                      Phone: 559-686-3451 or 559-686-3421"
puts $f "                               Fax: 559-688-0799        "
puts $f "                                                        "
puts $f "                      [clock format [clock seconds] -format "%m/%d/%Y"]"
puts $f "                               "
puts $f "                               "
puts $f "$firstname $lastname           "
puts $f "$streetaddress        "
puts $f "$city, $state $zip "
puts $f "                               "
if {$sex == "F"} {
puts $f "Dear Ms. $lastname, "
} else {
puts $f "Dear Mr. $lastname, "
}
puts $f "      We had set a reminder date of [lindex $reminderdate 0]\/[lindex $reminderdate 1]\/[lindex $reminderdate 2]. For your"
puts $f "$message.  Please call or make an appointment"
puts $f "to visit the office. "
puts $f "                                                     "
puts $f "                                                     "
puts $f "                                                     "
puts $f "                   Sincerely, "
puts $f "                              " 
puts $f "                              "
puts $f "                              "
puts $f "                Alex Caldwell M.D."

close $f 
catch {exec pr -t $rootdirectory/drug_programs/tempLetterFile | lpr -P ascii}
catch {exec c:/progra~1/access~1/wordpad.exe /P $rootdirectory/drug_programs/tempLetterFile}
return

}





proc {main} {argc argv} {

}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

proc loadspecialistList {} {
    catch {destroy .top17.men18.m}    
    menu .top17.men18.m

        set h [open specialistList r]
        while {[gets $h line] > 0 } {
        set line [split $line  " "]
        .top17.men18.m add radiobutton  \
        -label "[lindex $line 0] [lindex $line 1] [lindex $line 2]" -value "[lindex $line 0] [lindex $line 1] [lindex $line 2]" \
        -variable specialtyprovider
        }
        close $h
}

proc loadspecialtyList {} {
    catch {destroy .top17.men19.m}
    menu .top17.men19.m
        set h [open specialtyList r]   
        while {[gets $h line] > 0 } {  
        .top17.men19.m add radiobutton \
        -label "$line" -value $line \
        -variable specialty
        }
        close $h
}

proc loadhealthPlanList {} {
   catch {destroy .top17.men21.m}
    menu .top17.men21.m
        set h [open healthPlanList r]   
        while {[gets $h line] > 0 } {
        set line [split $line  " "]
        .top17.men21.m add radiobutton  \
        -command   ".top17.men21 config -text \"[lindex $line 0] [lindex $line 1] [lindex $line 2]\"" \
        -label "[lindex $line 0] [lindex $line 1] [lindex $line 2]" -value "[lindex $line 0] [lindex $line 1] [lindex $line 2]" \
        -variable healthplan
        }
        close $h
}

proc loadpcpList {} {

        catch {destroy .top17.men23.m}
        menu .top17.men23.m
    
        set h [open pcpList r]
        while {[gets $h line] > 0 } {
        set line [split $line  " "]  
        .top17.men23.m add radiobutton  \
        -command   ".top17.men23 config -text \"[lindex $line 0] [lindex $line 1] [lindex $line 2]\"" \
        -label "[lindex $line 0] [lindex $line 1] [lindex $line 2]" -value "[lindex $line 0] [lindex $line 1] [lindex $line 2]" \
        -variable PCP
        }
        close $h
}

proc loadReferralLetterList {} {
    catch {destroy .top17.faxreferral.m}
    menu .top17.faxreferral.m
         set g [open ReferralLetterList r]
         while { [gets $g line] > 0 } {
         set line [split $line :]
         .top17.faxreferral.m add radiobutton \
         -command ".top17.faxreferral config -text \"[lindex $line 1]\"" \
         -label [lindex $line 1] -value [lindex $line 0] -variable faxrecipient
         }
         close $g
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1009 738
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top17 {base} {
    if {$base == ""} {
        set base .top17
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 750x674+76+72
    wm maxsize $base 1009 738
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "TFP Medical Information System - Demographic Information"
    label $base.lab18 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text {Demographics Entry Form} 
    label $base.lab19 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text {Last Name} 
    label $base.ssnlabel \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text Soc.Sec.# 
    entry $base.ssn \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable SSN 
    label $base.lab20 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text {First Name} 
    label $base.lab21 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text {Middle Initial} 
    entry $base.ent22 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable lastname 
    entry $base.ent23 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable firstname 
    entry $base.ent24 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable mi 
    label $base.lab17 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text {Date of Birth} 
    entry $base.ent18 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable dob 
    bind $base.ent18 <Key-Return> {
        calcage
    }
    label $base.lab22 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text Age 
    entry $base.ent25 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable age 
    label $base.lab26 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text Sex 
    entry $base.ent27 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable sex 
    label $base.lab28 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text {St. Address} 
    entry $base.ent29 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable streetaddress 
    label $base.lab30 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text State 
    label $base.lab31 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text City 
    entry $base.ent32 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable city 
    entry $base.ent33 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable state 
    label $base.lab34 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text Zip 
    entry $base.ent35 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable zip 
    label $base.lab36 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text homephone 
    entry $base.ent37 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable homephone 
    label $base.lab38 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text workphone 
    entry $base.ent39 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable workphone 
    label $base.lab40 \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text Employer 
    entry $base.ent41 \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable employer 
    button $base.but19 \
        -background red4 \
 -command { writefile $lastname $firstname $mi $dob $age $sex $streetaddress $city \
             $state $zip $homephone $workphone $employer $email $SSN \
              $relation $healthplan $PCP $subscriberlastname $subscriberfirstname \
              $subscribermi $subscriberid $driverslicense $othercoverage 
         ;bell} \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground ivory -padx 9 -pady 3 -text {Store Information} 
    button $base.but17 \
        -background MistyRose -command {clearform;bell} -foreground steelblue \
        -padx 9 -pady 3 -text {Clear Form} 
    button $base.but18 \
        -background #db1018 -command exit -foreground #fefe0e -padx 9 -pady 3 \
        -text Exit 
    label $base.emaillabel \
        -background peachpuff -borderwidth 1 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -foreground steelblue -relief raised -text {Email address} 
    entry $base.emailentry \
        -background #fbd3d2 \
        -font -misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1 \
        -textvariable email 
    label $base.lab23 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Relation if not Subscriber} 
    entry $base.ent26 \
        -background #fbd3d2 -textvariable relation 
    label $base.lab24 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Name of Healthplan} 
    label $base.lab29 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text PCP 
    label $base.lab32 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Subscriber Lastname} 
    entry $base.ent34 \
        -background #fbd3d2 -textvariable subscriberlastname 
    label $base.lab35 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Subscriber Firstname} 
    entry $base.ent36 \
        -background #fbd3d2 -textvariable subscriberfirstname 
    label $base.lab25 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Subs. mid. init.} 
    entry $base.ent31 \
        -background #fbd3d2 -textvariable subscribermi 
    label $base.lab33 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Subscriber ID#} 
    entry $base.ent38 \
        -background #fbd3d2 -textvariable subscriberid 
    button $base.but20 \
        -background #fdb3b2 -command authorizationRequest \
        -foreground skyblue4 -padx 9 -pady 3 \
        -text {Generate HTML Authorization Request} 
    button $base.but27 \
        -background #fdb3b2 -command faxAuthorizationRequest \
        -foreground skyblue4 -padx 9 -pady 3 \
        -text {Generate FAX Authorization Request} 
    button $base.sendreferral \
        -background #fdb3b2 -command faxReferralLetter \
        -foreground skyblue4 -padx 9 -pady 3 \
        -text {Fax Referal Letter}        
    button $base.printreminderletters \
        -background #fdb3b2 -command printReminderLetters \
        -foreground skyblue4 -padx 9 -pady 3 \
        -text {Print Reminder Letters}

    label $base.lab27 \
        -background peachpuff -borderwidth 1 -foreground skyblue4 \
        -relief raised -text {Driver's Lic.#} 
    entry $base.ent40 \
        -background #fbd3d2 -textvariable driverslicense 
    menubutton $base.men17 \
        -background peachpuff -foreground steelblue -indicatoron 1 \
        -menu .top17.men17.m -padx 4 -pady 3 -relief raised -text STAT \
        -textvariable typeauth 
    menu $base.men17.m
    $base.men17.m add radiobutton \
        -command {.top17.men17 config -text STAT} -label STAT -value STAT \
        -variable typeauth 
    $base.men17.m add radiobutton \
        -command {.top17.men17 config -text Urgent} -label Urgent \
        -value Urgent -variable typeauth 
    $base.men17.m add radiobutton \
        -command {.top17.men17 config -text Routine} -label Routine \
        -value Routine -variable typeauth 
    $base.men17.m add radiobutton \
        -command {.top17.men17 config -text Retro} -label Retro -value Retro \
        -variable typeauth 
    menubutton $base.men18 \
        -background peachpuff -foreground steelblue -indicatoron 1 \
        -menu .top17.men18.m -padx 4 -pady 3 -relief raised \
        -text {Select Specialist} -textvariable specialtyprovider 
    bind $base.men18 <Button-3> "editFile specialistList"
    loadspecialistList

 
  menubutton $base.men19 \
        -background peachpuff -foreground steelblue -indicatoron 1 \
        -menu .top17.men19.m -padx 4 -pady 3 -relief raised \
        -text {Select Specialty} -textvariable specialty 
        bind $base.men19 <Button-3> "editFile specialtyList"
   loadspecialtyList


    menubutton $base.men20 \
        -background peachpuff -foreground steelblue -indicatoron 1 \
        -menu .top17.men20.m -padx 4 -pady 3 -relief raised -text Consult \
        -textvariable typereferral 
    menu $base.men20.m
    $base.men20.m add radiobutton \
        -command {.top17.men20 config -text {Consult}} -label Consult \
        -value Consult -variable typereferral 
    $base.men20.m add radiobutton \
        -command {.top17.men20 config -text {Follow-up}} -label Follow-up \
        -value Follow-up -variable typereferral 
    $base.men20.m add radiobutton \
        -command {.top17.men20 config -text {Procedure}} -label Procedure \
        -value Procedure -variable typereferral 
    $base.men20.m add radiobutton \
        -command {.top17.men20 config -text {Other}} -label Other \
        -value Other -variable typereferral 
    label $base.lab37 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Auto Accident?} 
    radiobutton $base.rad38 \
        -background peachpuff -foreground steelblue -relief groove -text yes \
        -value yes -variable autoaccident 
    radiobutton $base.rad40 \
        -background peachpuff -foreground steelblue -relief groove -text No \
        -value no -variable autoaccident 
    label $base.lab39 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Work Related?} 
    radiobutton $base.rad41 \
        -background peachpuff -foreground steelblue -relief groove -text No \
        -value no -variable workrelated 
    radiobutton $base.rad42 \
        -background peachpuff -foreground steelblue -relief groove -text yes \
        -value yes -variable workrelated 
    label $base.lab41 \
        -background skyblue4 -borderwidth 1 -foreground peachpuff \
        -relief raised -text {Type Authorization} 
    label $base.lab42 \
        -background skyblue4 -borderwidth 1 -foreground peachpuff \
        -relief raised -text {Specialty Provider} 
    label $base.lab43 \
        -background skyblue4 -borderwidth 1 -foreground peachpuff \
        -relief raised -text Specialty 
    label $base.lab44 \
        -background skyblue4 -borderwidth 1 -foreground peachpuff \
        -relief raised -text {Type Referral} 
    label $base.lab45 \
        -background skyblue4 -borderwidth 1 -foreground peachpuff \
        -relief raised -text {Reason for Referral} 
    text $base.tex47 \
        -background #fbd3d2 -wrap word 
    bind $base.tex47 <Button-2> {
        .top17.tex47 insert insert [selection get -selection PRIMARY]
    }
    label $base.lab46 \
        -background skyblue4 -borderwidth 1 -foreground peachpuff \
        -relief raised -text {CPT CODE} 
    entry $base.ent47 \
        -background #fbd3d2 -textvariable cptcode 

    menubutton $base.men21 \
        -background peachpuff -foreground skyblue4 -indicatoron 1 \
        -menu .top17.men21.m -padx 4 -pady 3 -relief raised \
        -text {Select Healthplan} 
        bind $base.men21 <Button-3> "editFile healthPlanList"

    loadhealthPlanList


    menubutton $base.men23 \
        -background peachpuff -foreground skyblue4 -indicatoron 1 \
        -menu .top17.men23.m -padx 4 -pady 3 -relief raised \
        -text {Select PCP} 
    bind $base.men23 <Button-3> {editFile pcpList}
    loadpcpList
        

    label $base.lab47 \
        -background peachpuff -borderwidth 1 -foreground steelblue \
        -relief raised -text {Other Coverage} 
    entry $base.ent48 \
        -background #fbd3d2 -textvariable othercoverage 
    menubutton $base.men22 \
        -background peachpuff -foreground steelblue -indicatoron 1 \
        -menu .top17.men22.m -padx 4 -pady 3 -relief raised \
        -text {Managed Care Office} 
    menu $base.men22.m
    $base.men22.m add radiobutton \
        -command {.top17.men22 config -text "Central Sierra"} \
        -label {Central Sierra} -value Central_Sierra -variable faxrecipient 
    $base.men22.m add radiobutton \
        -command {.top17.men22 config -text "Tulare Medical Group"} \
        -label {Tulare Medical Group} -value Tulare_Medical_Group \
        -variable faxrecipient 
    $base.men22.m add radiobutton \
        -command {.top17.men22 config -text "Tulare Family Practice"} \
        -label {Tulare Family Practice} -value TFP -variable faxrecipient 

    menubutton $base.faxreferral \
         -background peachpuff -foreground steelblue -indicatoron 1 \
         -menu .top17.faxreferral.m -padx 4 -pady 3 -relief raised \
         -text {Select Dr. for Referral letter}

    bind $base.faxreferral <Button-3> {
         editFile ReferralLetterList 
         }
    loadReferralLetterList



    label $base.lab48 \
        -background #148edb -borderwidth 1 -relief raised 

    ###################
    # SETTING GEOMETRY
    ###################
    place $base.lab18 \
        -x 115 -y 5 -anchor nw -bordermode ignore 
    place $base.lab19 \
        -x 5 -y 40 -anchor nw -bordermode ignore 
    place $base.ssnlabel \
        -x 242 -y 38 -anchor nw -bordermode ignore 
    place $base.ssn \
        -x 312 -y 35 -anchor nw -bordermode ignore 
    place $base.lab20 \
        -x 5 -y 65 -anchor nw -bordermode ignore 
    place $base.lab21 \
        -x 5 -y 90 -anchor nw -bordermode ignore 
    place $base.ent22 \
        -x 90 -y 35 -anchor nw -bordermode ignore 
    place $base.ent23 \
        -x 90 -y 60 -anchor nw -bordermode ignore 
    place $base.ent24 \
        -x 115 -y 85 -width 40 -height 24 -anchor nw -bordermode ignore 
    place $base.lab17 \
        -x 5 -y 115 -anchor nw -bordermode ignore 
    place $base.ent18 \
        -x 105 -y 110 -anchor nw -bordermode ignore 
    place $base.lab22 \
        -x 260 -y 115 -anchor nw -bordermode ignore 
    place $base.ent25 \
        -x 295 -y 110 -width 45 -height 24 -anchor nw -bordermode ignore 
    place $base.lab26 \
        -x 5 -y 140 -width 50 -height 17 -anchor nw -bordermode ignore 
    place $base.ent27 \
        -x 90 -y 135 -width 45 -height 24 -anchor nw -bordermode ignore 
    place $base.lab28 \
        -x 5 -y 165 -anchor nw -bordermode ignore 
    place $base.ent29 \
        -x 90 -y 160 -width 320 -height 24 -anchor nw -bordermode ignore 
    place $base.lab30 \
        -x 30 -y 215 -anchor nw -bordermode ignore 
    place $base.lab31 \
        -x 20 -y 190 -width 44 -height 17 -anchor nw -bordermode ignore 
    place $base.ent32 \
        -x 90 -y 185 -width 175 -height 24 -anchor nw -bordermode ignore 
    place $base.ent33 \
        -x 90 -y 210 -anchor nw -bordermode ignore 
    place $base.lab34 \
        -x 260 -y 215 -anchor nw -bordermode ignore 
    place $base.ent35 \
        -x 295 -y 210 -width 85 -height 24 -anchor nw -bordermode ignore 
    place $base.lab36 \
        -x 5 -y 240 -anchor nw -bordermode ignore 
    place $base.ent37 \
        -x 90 -y 235 -width 115 -height 24 -anchor nw -bordermode ignore 
    place $base.lab38 \
        -x 215 -y 240 -anchor nw -bordermode ignore 
    place $base.ent39 \
        -x 295 -y 235 -width 115 -height 24 -anchor nw -bordermode ignore 
    place $base.lab40 \
        -x 5 -y 265 -anchor nw -bordermode ignore 
    place $base.ent41 \
        -x 90 -y 260 -width 315 -height 24 -anchor nw -bordermode ignore 
    place $base.but19 \
        -x 20 -y 630 -anchor nw -bordermode ignore 
    place $base.but17 \
        -x 205 -y 575 -anchor nw -bordermode ignore 
    place $base.but18 \
        -x 685 -y 575 -anchor nw -bordermode ignore 
    place $base.emaillabel \
        -x 5 -y 290 -anchor nw -bordermode ignore 
    place $base.emailentry \
        -x 110 -y 285 -height 24 -anchor nw -bordermode ignore 
    place $base.lab23 \
        -x 245 -y 65 -width 156 -height 18 -anchor nw -bordermode ignore 
    place $base.ent26 \
        -x 405 -y 60 -width 95 -height 24 -anchor nw -bordermode ignore 
    place $base.lab24 \
        -x 5 -y 320 -anchor nw -bordermode ignore 
    place $base.lab29 \
        -x 385 -y 320 -width 41 -height 18 -anchor nw -bordermode ignore 
    place $base.lab32 \
        -x 5 -y 350 -anchor nw -bordermode ignore 
    place $base.ent34 \
        -x 140 -y 345 -width 140 -height 24 -anchor nw -bordermode ignore 
    place $base.lab35 \
        -x 285 -y 350 -anchor nw -bordermode ignore 
    place $base.ent36 \
        -x 425 -y 345 -anchor nw -bordermode ignore 
    place $base.lab25 \
        -x 585 -y 350 -anchor nw -bordermode ignore 
    place $base.ent31 \
        -x 685 -y 345 -width 33 -height 22 -anchor nw -bordermode ignore 
    place $base.lab33 \
        -x 5 -y 380 -anchor nw -bordermode ignore 
    place $base.ent38 \
        -x 105 -y 375 -anchor nw -bordermode ignore 
    place $base.but20 \
        -x 355 -y 575 -anchor nw -bordermode ignore 
    place $base.but27 \
        -x 420 -y 610 -anchor nw -bordermode ignore 
    place $base.lab27 \
        -x 465 -y 35 -anchor nw -bordermode ignore 
    place $base.ent40 \
        -x 555 -y 35 -anchor nw -bordermode ignore 
    place $base.men17 \
        -x 10 -y 435 -width 141 -height 19 -anchor nw -bordermode ignore 
    place $base.men18 \
        -x 10 -y 485 -width 168 -height 19 -anchor nw -bordermode ignore 
    place $base.men19 \
        -x 10 -y 535 -width 169 -height 19 -anchor nw -bordermode ignore 
    place $base.men20 \
        -x 185 -y 435 -width 145 -height 19 -anchor nw -bordermode ignore 
    place $base.lab37 \
        -x 580 -y 420 -anchor nw -bordermode ignore 
    place $base.rad38 \
        -x 675 -y 430 -width 55 -height 24 -anchor nw -bordermode ignore 
    place $base.rad40 \
        -x 675 -y 410 -width 55 -height 24 -anchor nw -bordermode ignore 
    place $base.lab39 \
        -x 590 -y 470 -width 90 -height 18 -anchor nw -bordermode ignore 
    place $base.rad41 \
        -x 680 -y 460 -width 52 -height 24 -anchor nw -bordermode ignore 
    place $base.rad42 \
        -x 680 -y 480 -anchor nw -bordermode ignore 
    place $base.lab41 \
        -x 25 -y 415 -anchor nw -bordermode ignore 
    place $base.lab42 \
        -x 25 -y 465 -anchor nw -bordermode ignore 
    place $base.lab43 \
        -x 50 -y 515 -anchor nw -bordermode ignore 
    place $base.lab44 \
        -x 210 -y 415 -anchor nw -bordermode ignore 
    place $base.lab45 \
        -x 255 -y 465 -anchor nw -bordermode ignore 
    place $base.tex47 \
        -x 195 -y 485 -width 280 -height 82 -anchor nw -bordermode ignore 
    place $base.lab46 \
        -x 410 -y 415 -anchor nw -bordermode ignore 
    place $base.ent47 \
        -x 335 -y 430 -width 235 -height 24 -anchor nw -bordermode ignore 
    place $base.men21 \
        -x 145 -y 320 -width 214 -height 19 -anchor nw -bordermode ignore 
    place $base.men23 \
        -x 435 -y 320 -width 309 -height 19 -anchor nw -bordermode ignore 
    place $base.lab47 \
        -x 270 -y 380 -anchor nw -bordermode ignore 
    place $base.ent48 \
        -x 375 -y 375 -anchor nw -bordermode ignore 
    place $base.men22 \
        -x 255 -y 615 -width 158 -height 19 -anchor nw -bordermode ignore 
    place $base.faxreferral \
        -x 215 -y 640 -width 200 -height 19 -anchor nw -bordermode ignore
    place $base.sendreferral \
        -x 450 -y 640 -anchor nw -bordermode ignore
    place $base.printreminderletters \
        -x 500 -y 540 -anchor nw -bordermode ignore

    place $base.lab48 \
        -x 5 -y 398 -width 741 -height 8 -anchor nw -bordermode ignore 
}

Window show .
Window show .top17

main $argc $argv

if {$tcl_platform(os) != "Linux"} {
wm title .top17 "demographicform.tcl [comm self]"
tk appname "demographicform.tcl [comm self]"
exec wish80 c:/progra~1/tcl/bin/drug_programs/note_gen.tcl &
}

proc returnappname {} {
return [tk appname]
}

